## libgcr410 2.4.0

=== Makefile ===
# Makefile for GemPC 410 serial reader

CC = gcc
CFLAGS = -Wall -O2 -fPIC -I. -DG_UNIX -DHAVE_PTHREAD_H -g #-DDEBUG
OBJ	= apdubuil.o apduspli.o debug.o gserial.o gtgbp.o gttimout.o \
	ifdhandler.o or32gem.o or3confi.o or3gbpcl.o or3gbpco.o \
	or3gbpop.o or3icc.o \
	or3utils.o t0case1.o t0case2.o t0case3.o t0case4.o


all: libgp_core.so

clean:
	rm -f *.o *.so 

libgp_core.so: $(OBJ)
	$(CC) -shared $(OBJ) -o libgp_core.so

dep:
	makedepend *.c

ctags:
	ctags-exuberant *h *c

=== debian/changelog ===
libgcr410 (2.4.0-11) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.6.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Switched to simple dh build and added 1010-hardening.patch
    for hardening.
  * Separated debian patch into functional sections.
  * Adjusted build rule to use variable for plugin file name.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Nov 2024 09:43:21 +0100

libgcr410 (2.4.0-10) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.  Closes: #930343

 -- Bastian Germann <bage@debian.org>  Wed, 09 Aug 2023 17:31:04 +0200

libgcr410 (2.4.0-9.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999332).

 -- Marcos Talau <talau@debian.org>  Sun, 06 Nov 2022 13:24:39 -0300

libgcr410 (2.4.0-9.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #627720
    - Indonesian (Mahyuddin Susanto).  Closes: #658467
    - Polish (Michał Kułach).  Closes: #659020

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Feb 2012 07:51:00 +0100

libgcr410 (2.4.0-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drom DH_COMPAT from debian/rules and, while at it
    bump debhelper compatibility level to 7
    Closes: #460703
  * As a consequence, replace obsoleted "dh_clean -k" calls by "dh_prep"
  * Add ${misc:Depends} to package dependencies to properly handle
    dependencies triggerred by the use of debhelper
  * Explicitly point to GPL-2 document in debian/copyright
  * Unmark Choices for translation in debconf templates (they're
    non translatable)
  * Explicitly use 1.0 as source format
  * No longer hardcode command path in calls to update-reader.conf in
    postrm and postinst scripts
  * No longer ignore make errors in debian/rules
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #510334

 -- Christian Perrier <bubulle@debian.org>  Tue, 04 May 2010 07:39:15 +0200

libgcr410 (2.4.0-9) unstable; urgency=low

  * Mushrooms rule the world ! (Closes: #420046)

 -- Peter De Schrijver (p2) <p2@debian.org>  Tue, 18 Mar 2008 22:49:50 +0200

libgcr410 (2.4.0-8) unstable; urgency=low

  * remove busy waiting timeout.
  * remove useless ifdhandler.h (Closes: #420046)
  * update pt_BR.po (Closes: #417251)

 -- Peter De Schrijver (p2) <p2@debian.org>  Sat, 12 Jan 2008 22:21:49 +0200

libgcr410 (2.4.0-7) unstable; urgency=low

  * Update to work with libpcsclite 1.4.0 (Closes: #412949)
  * Added various updated translations (Closes: #401179, #404432, #412227)

 --  Peter De Schrijver (p2) <p2@debian.org>  Wed, 14 Mar 2007 23:52:13 +0100

libgcr410 (2.4.0-6) unstable; urgency=low

  * Add several more translations (de,it,pt,pt_BR,ru)
  * Closes: #316887, #331481, #398975, #398979, #399163, #312234

 --  Peter De Schrijver (p2) <p2@debian.org>  Mon, 20 Nov 2006 22:50:00 +0100

libgcr410 (2.4.0-5) unstable; urgency=low

  * update maintainer email address
  * add several translations

 --  <p2@debian.org>  Tue, 14 Nov 2006 22:29:53 +0100

libgcr410 (2.4.0-4.2) unstable; urgency=medium

  * NMU from the Munich BSP
  * Medium urgency due to RC fix.
  * Cope with /dev/ttyS0 not existing. Closes: #389375. Thanks to Rodrigo
    Gallardo for the patch

 -- Steve McIntyre <93sam@debian.org>  Sat, 14 Oct 2006 19:18:24 +0200

libgcr410 (2.4.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium urgency due to RC fix.
  * debian/rules:
    - Provide binary-arch.  Closes: #355351.
    - Provide binary-indep as a no-op (required by Policy section 4.8).
  * Use `Depends: debconf | debconf-2.0' to allow for cdebconf.
    Closes: #331999.
  * Provide pcsc-ifd-handler.  Closes: #265353.

 -- Matej Vela <vela@debian.org>  Tue, 14 Mar 2006 21:48:15 +0100

libgcr410 (2.4.0-4) unstable; urgency=low

  * Fixed rules file to provide binary-arch and binary-indep (Closes: #273667)

 -- Peter De Schrijver (p2) <p2@mind.be>  Sat,  2 Oct 2004 20:18:40 +0200

libgcr410 (2.4.0-3) unstable; urgency=low

  * Added french debconf template (Closes: #243779)
  * Added italian debconf template (Closes: #249173)
  * Added japanese debconf template (Closes: #263222)
  * Updated Makefile to new libpcsclite-dev (Closes: #261942)
  * Added AMD64 (Closes: #252769)

 -- Peter De Schrijver (p2) <p2@mind.be>  Tue,  3 Aug 2004 02:22:14 +0200

libgcr410 (2.4.0-2) unstable; urgency=low

  * Added support for po-debconf (Closes: #237796)

 -- Peter De Schrijver (p2) <p2@mind.be>  Sun,  4 Apr 2004 22:08:28 +0200

libgcr410 (2.4.0-1) unstable; urgency=low

  * Initial release

 -- Peter De Schrijver (p2) <p2@mind.be>  Sun, 30 Nov 2003 20:00:07 +0100

=== debian/control ===
Source: libgcr410
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libpcsclite-dev (>> 1.4.0),
               po-debconf,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/libgcr410
Vcs-Git: https://salsa.debian.org/debian/libgcr410.git

Package: libgcr410
Architecture: any
Depends: pcscd (>> 1.2.0),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: pcsc-ifd-handler,
Description: PC/SC driver for GemPlus GCR410 serial SmartCard interface
 The libgcr410 package contains a PC/SC driver for the GemPlus GCR410 serial
 SmartCard interface. Note that this is a different driver then libgempc.
 If you have a GemPC 410 reader, this driver is not for you.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_auto_clean:
	debconf-updatepo

override_dh_auto_install:
	cp libgcr410.so $(CURDIR)/debian/libgcr410/usr/lib/pcsc/drivers/serial
